import {
  AlipayOutlined,
  LockOutlined,
  MobileOutlined,
  TaobaoOutlined,
  UserOutlined,
  WeiboOutlined,
} from '@ant-design/icons';

import LOGO from '../../assets/pr-logo.png';
import BACKGROUND_IMG from '../../assets/login_bg1.png';
import BACKGROUND_VIDEO_URL from '../../assets/login_bg.svg';

export const STATIC_RESOURCE = {
  BACKGROUND_IMG,
  LOGO,
  BACKGROUND_VIDEO_URL,
}

export const ICON_STYLE = {
  color: 'rgba(0, 0, 0, 0.2)',
  fontSize: '18px',
  verticalAlign: 'middle',
  cursor: 'pointer',
};

export const AUTH_CLIENT_ICON_MAPPING = {
  ALIPAY: <AlipayOutlined style={{...ICON_STYLE, color: '#1677FF'}}/>,
  TAOBAO: <TaobaoOutlined style={{...ICON_STYLE, color: '#FF6A10'}}/>,
  WEIBO: <WeiboOutlined style={{...ICON_STYLE, color: '#1890ff'}}/>,

  USER: <UserOutlined />,
  MOBILE: <MobileOutlined />,
  LOCK: <LockOutlined />,
}
