/**
 * 自定义主题样式，根据themeSelector自动装载主题
 */
import {theme} from "antd";

/**
 * light主题自定义token
 */
const lightTheme = {
  test:'white'
};

/**
 * dark主题自定义token
 */
const darkTheme= {
  test:'black'
};

export const themes = {
  light: lightTheme,
  dark: darkTheme,
};

export const antdThemeConfig = {
  light: theme.defaultAlgorithm,
  dark: theme.darkAlgorithm
}
